1.5-RC1 Import Error

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

1.5-RC1 Import Error

Jamison Novak
Hi all,
 
I decided to try out a fresh install of 1.5 RC1. It's up and running
fine and the database gets initialized on the first run. I go to the
XWikiPreferences page to import the administration application.
 
I browse for the xwiki-application-administration-1.1.xar file and
attach it successfully. I click on the attachment in the "Select the
file you wish to import" list and it expands the available documents to
import list. I check all of the boxes, click Import, and get this error:

    Importing xwiki-application-administration-1.1.xar: Error while
preparing importing

        * 0 Document(s) installed
        * 0 Document(s) skipped
        * 0 Document(s) with error

There are no errors logged to the xwiki.log or my Resin logs. I get the
same behavior in both Firefox and IE7.

Has anybody seen this or know what may be causing it? With no useful
feedback about what XWiki thinks is wrong, I have no idea where to
start.

-Jamie
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: 1.5-RC1 Import Error

Wright, Philip
 isn't the admin app already included in that release?


 

Philip Wright

Reports Analyst

ACS: BPS


Affiliated Computer Services, Inc

 

Affiliated Computer Services, Inc (ACS) Proprietary and Confidential
Information
This document (or any part thereof) may not be disseminated outside of ACS
in either electronic or physical form without specific authorization of the
office of the ACS Chief Information Security Officer. The information
included in this document represents no commitment by ACS to any other
party. The policies and standards described do not consider any country law
or other directive outside of the United States.

P Please consider the environment before printing this email


-----Original Message-----
From: [hidden email] [mailto:[hidden email]] On Behalf Of
Jamison Novak
Sent: Tuesday, July 15, 2008 9:35 AM
To: XWiki Users
Subject: [xwiki-users] 1.5-RC1 Import Error

Hi all,
 
I decided to try out a fresh install of 1.5 RC1. It's up and running fine
and the database gets initialized on the first run. I go to the
XWikiPreferences page to import the administration application.
 
I browse for the xwiki-application-administration-1.1.xar file and attach it
successfully. I click on the attachment in the "Select the file you wish to
import" list and it expands the available documents to import list. I check
all of the boxes, click Import, and get this error:

    Importing xwiki-application-administration-1.1.xar: Error while
preparing importing

        * 0 Document(s) installed
        * 0 Document(s) skipped
        * 0 Document(s) with error

There are no errors logged to the xwiki.log or my Resin logs. I get the same
behavior in both Firefox and IE7.

Has anybody seen this or know what may be causing it? With no useful
feedback about what XWiki thinks is wrong, I have no idea where to start.

-Jamie
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: 1.5-RC1 Import Error

Jamison Novak
Not anymore.

"The administration application is not installed. Since XWiki Enterprise
1.5 the Administration is distributed as an application. You can
download it from
http://code.xwiki.org/xwiki/bin/view/Applications/AdministrationApplicat
ion. Then, import it."

The problem, however, is that I can't import anything. That was just
what I was trying first.
 

-----Original Message-----
From: [hidden email] [mailto:[hidden email]] On Behalf
Of Wright, Philip
Sent: Tuesday, July 15, 2008 2:49 PM
To: XWiki Users
Subject: Re: [xwiki-users] 1.5-RC1 Import Error

 isn't the admin app already included in that release?


 

Philip Wright

Reports Analyst

ACS: BPS


Affiliated Computer Services, Inc

 

Affiliated Computer Services, Inc (ACS) Proprietary and Confidential
Information
This document (or any part thereof) may not be disseminated outside of
ACS
in either electronic or physical form without specific authorization of
the
office of the ACS Chief Information Security Officer. The information
included in this document represents no commitment by ACS to any other
party. The policies and standards described do not consider any country
law
or other directive outside of the United States.

P Please consider the environment before printing this email


-----Original Message-----
From: [hidden email] [mailto:[hidden email]] On Behalf
Of
Jamison Novak
Sent: Tuesday, July 15, 2008 9:35 AM
To: XWiki Users
Subject: [xwiki-users] 1.5-RC1 Import Error

Hi all,
 
I decided to try out a fresh install of 1.5 RC1. It's up and running
fine
and the database gets initialized on the first run. I go to the
XWikiPreferences page to import the administration application.
 
I browse for the xwiki-application-administration-1.1.xar file and
attach it
successfully. I click on the attachment in the "Select the file you wish
to
import" list and it expands the available documents to import list. I
check
all of the boxes, click Import, and get this error:

    Importing xwiki-application-administration-1.1.xar: Error while
preparing importing

        * 0 Document(s) installed
        * 0 Document(s) skipped
        * 0 Document(s) with error

There are no errors logged to the xwiki.log or my Resin logs. I get the
same
behavior in both Firefox and IE7.

Has anybody seen this or know what may be causing it? With no useful
feedback about what XWiki thinks is wrong, I have no idea where to
start.

-Jamie
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

FAQ Application ?

xiaoyao1118
In reply to this post by Wright, Philip

 
FAQ Application a zip Mody ? Or. Xar Mody ?

_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: 1.5-RC1 Import Error

Jean-Vincent Drean
In reply to this post by Wright, Philip
On Tue, Jul 15, 2008 at 9:48 PM, Wright, Philip
<[hidden email]> wrote:
>  isn't the admin app already included in that release?
>

The Administration Application is included in the default wiki since 1.5M2.

--
Jean-Vincent Drean
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: 1.5-RC1 Import Error

Tiago Rinck Caveden
On Wed, Jul 16, 2008 at 12:10 PM, Jean-Vincent Drean <[hidden email]> wrote:
> On Tue, Jul 15, 2008 at 9:48 PM, Wright, Philip
> <[hidden email]> wrote:
>>  isn't the admin app already included in that release?
>>
>
> The Administration Application is included in the default wiki since 1.5M2.

Is it on a branch? Because I'm building from the HEAD and I had to
include the application, I received the same message.
But my import worked fine, after I increased Tomcat's maximum memory.

--
Tiago Rinck Caveden
http://caveden.multiply.com
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
Tiago Rinck Caveden
http://caveden.multiply.com
Reply | Threaded
Open this post in threaded view
|

Re: 1.5-RC1 Import Error

Jean-Vincent Drean
On Wed, Jul 16, 2008 at 12:14 PM, Tiago Rinck Caveden <[hidden email]> wrote:
>>
>> The Administration Application is included in the default wiki since 1.5M2.
>
> Is it on a branch? Because I'm building from the HEAD and I had to
> include the application, I received the same message.

I think this shows that some things aren't clear about xwiki wiki and
applications. I'll try to explain it a bit :

 - xwiki-enterprise-web is a webapp containing all the _files_ xwiki
needs to run.
 - xwiki-enterprise-wiki is a set of wiki _applications_ like the
administration application (which contains the administration UI)
 - xwiki applications (like xwiki-application-administration) are sets
of wiki _pages_

The normal installation process consist in deploying
xwiki-enterprise-web in a container and then to import
xwiki-enterprise-wiki in the database.
The only users that should be aware that the administration is now an
application are the users upgrading their wiki from 1.4.x (and
previous) to 1.5.
Their wiki isn't empty since they've imported xwiki-enterprise-wiki in
the past (and they may not want to upgrade it) but they miss all the
new administration pages.

I realize that now, with the message "The administration application
isn't installed blabla", a lot of our new users will be tempted to
import only this app and not the whole wiki (because everybody prefers
not to read the documentation ;) so I've modified the behavior a bit
(XWIKI-2565).

Starting with XE 1.5RC2 this is what you'll see :
 - after a fresh xwiki-enterprise-web install :
http://jv.myxwiki.org/xwiki/bin/view/Main/WikiEmpty
 - after an upgrade from 1.4.x (and previous) to 1.5 :
http://jv.myxwiki.org/xwiki/bin/view/Main/WikiNotEmptyAdminAppNotInstalled

Hope this will be helpful,
JV.
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: 1.5-RC1 Import Error

Tiago Rinck Caveden
Thank you for the explanation.

On Thu, Jul 17, 2008 at 1:17 PM, Jean-Vincent Drean <[hidden email]> wrote:
> I realize that now, with the message "The administration application
> isn't installed blabla", a lot of our new users will be tempted to
> import only this app and not the whole wiki (because everybody prefers
> not to read the documentation ;) so I've modified the behavior a bit
> (XWIKI-2565).

Actually I was aware of the default XAR, but the message made me think
that the admin app wasn't part of it, so I ended up installing both.
:-P
I think it's a good idea to change the messages like that.

Thanks,
--
Tiago Rinck Caveden
http://caveden.multiply.com
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
Tiago Rinck Caveden
http://caveden.multiply.com